Skip to main content
GET
/
api
/
v1
/
stats
/
summary
Get summary statistics
curl --request GET \
  --url https://api.superwhisper.com/api/v1/stats/summary \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.superwhisper.com/api/v1/stats/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.superwhisper.com/api/v1/stats/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total_recordings": 123,
  "total_duration_minutes": 123,
  "total_words": 123,
  "avg_llm_processing_seconds": 123,
  "avg_voice_processing_seconds": 123
}

Authorizations

Authorization
string
header
required

API access token (starts with sk-sw-)

Query Parameters

start_date
string

ISO 8601 start date (defaults to 7 days ago)

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:?\d{2})?)?$
end_date
string

ISO 8601 end date (defaults to now)

Pattern: ^\d{4}-\d{2}-\d{2}(T\d{2}:\d{2}:\d{2}(\.\d+)?(Z|[+-]\d{2}:?\d{2})?)?$
filter[member_email]
string

Comma-separated member email addresses

filter[voice_model]
string

Comma-separated voice models

filter[language_model]
string

Comma-separated language models

filter[app_name]
string

Comma-separated app names

Response

Summary statistics

total_recordings
number
required

Total number of recordings

total_duration_minutes
number
required

Total recording duration in minutes

total_words
number
required

Total words transcribed

avg_llm_processing_seconds
number
required

Average LLM processing time in seconds

avg_voice_processing_seconds
number
required

Average voice processing time in seconds